
		var hoy = new Date();
		var diasemana = hoy.getDay() - 1;
		var meses = new Array('ENERO','FEBRERO','MARZO','ABRIL','MAYO','JUNIO','JULIO','AGOSTO','SEPTIEMBRE','OCTUBRE','NOVIEMBRE','DICIEMBRE');
		var markersArray = [];
		var markersCodigos = [];
		var markerYouarehere;
		var marker_selected = undefined;
		var codigo_selected = undefined;
		var marker_start;
		var marker_end;
		var trafficLayer;
		var transitLayer;
		var bikeLayer;
		var geocoder;
		//var ruta = '';
		//var ruta = '/export/system/modules/com.mrmww.aldi.frontend/resources/img/encuentratutienda/';
		var ruta = E_Tienda.ruta;
		var styles = [[{ url:ruta+'icono_cluster.png', height:56, width:56, textColor:'#ffffff', textSize:20 }]];
		var MY_MAPTYPE_ID = 'custom_style';
		var bounds;
		var toDestination;




		/* ****************************************************************************** */
		/*                                                                                */
		/*                                 MAPA PRINCIPAL                                 */
		/*                                                                                */
		/* ****************************************************************************** */


		var Demo = {
			// HTML Nodes
			mapContainer: document.getElementById('mapa'),
			fromInput: document.getElementById('frominput'),
			locationInput: document.getElementById('location'),
			init: function() {
				Demo.map = new google.maps.Map(Demo.mapContainer, {
					//scrollwheel: false,
					zoom: 5,
					center: new google.maps.LatLng(41.4785455, 1.8056939000000511),
					mapTypeControl: true,
					mapTypeControlOptions: {
						mapTypeIds: [MY_MAPTYPE_ID, google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID ],
						position: google.maps.ControlPosition.RIGHT_BOTTOM
					},
					mapTypeId: MY_MAPTYPE_ID,
					scaleControl: false,
					panControl: false,
					streetViewControl: false,
					zoomControl: true,
					zoomControlOptions: {
						style: google.maps.ZoomControlStyle.SMALL,
						position: google.maps.ControlPosition.TOP_RIGHT
					}
				});

				//--- Style
				var styledMapOptions = { name: 'Default' };
				var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
				Demo.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);

				//--- Style
				//var featureOpts = [ { "stylers": [ { "saturation": -100 } ] } ];
				//var styledMapOptions = { name: 'Default' };
				//var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
				//Demo.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);


				//--- Autocomplete
				var options = { componentRestrictions: {country: 'es'}, types: ['geocode'] };
				var autocomplete = new google.maps.places.Autocomplete(Demo.locationInput, options);
				autocomplete.bindTo('bounds', Demo.map);
				autocomplete.addListener('place_changed', function() {
					geocode();
				});

				//--- Per localitzar l'adreça que escriu l'usuari
				geocoder = new google.maps.Geocoder();

				//---
				bounds = new google.maps.LatLngBounds(null);

				//--- Zoom changed
				Demo.map.addListener('bounds_changed', function() {
					//chargeListado('novisualitzem');
					if (jQuery("#mapa").is(":visible") == true) {
						chargeListado('sivisualitzem');
					}
				});

				//--- Carreguem les marques
				chargeMarkets();

				w = jQuery( window ).width();							//Per versió Desktop mostrem la llista i el mapa a la vegada
				if (w>=768) { jQuery('#list').fadeIn(300); }

			},
			/*
			resize: function() {									//Cuando se hace resize del mapa
				if (Demo.fromInput.value!='') {
					//Demo.map.setCenter(markerYouarehere.getPosition());
				}
			}
			*/
		};


		/* ----------------------- */
		/*  Carreguem les marques  */
		/* ----------------------- */

		function chargeMarkets() {
			for (var i = 0; i < dataMap.tiendas.length; i++) {

				var dataTiendas = dataMap.tiendas[i];

				nueva = new Date('1970-01-01');
				if( dataTiendas.nueva != '' ) {
					nueva.setDate(dataTiendas.nueva.substr(6, 2));
					nueva.setMonth(dataTiendas.nueva.substr(4, 2));
					nueva.setYear(dataTiendas.nueva.substr(0,4));
					nueva.setHours(0);
					nueva.setMinutes(0);
					nueva.setSeconds(0);
				}

				var date = new Date();
				nue = Math.floor(date.getTime());
				nue = nue+(10*24*60*60*1000);
				nuevaplus10 = new Date(nue);

				if( nueva < nuevaplus10 ) {

					if (dataTiendas.latitude!=0) {
						var latLng = new google.maps.LatLng(dataTiendas.latitude, dataTiendas.longitude);
						if (dataTiendas.codigo.substr(0,1)=='+') {
							var iconimage = { url: ruta+'icono_central.png', size: new google.maps.Size(85, 97) };
						} else {
							var iconimage = { url: ruta+'icono_mapa.png', size: new google.maps.Size(56, 56) };
						}
						var marker = new google.maps.Marker({ position: latLng, icon: iconimage });
						bounds.extend( new google.maps.LatLng(dataTiendas.latitude, dataTiendas.longitude) );
						google.maps.event.addListener(marker, 'click', onMarkerClick(dataTiendas.codigo));
						markersArray.push(marker);
						markersCodigos.push(dataTiendas.codigo);
					}
				}
			}
			var markerCluster = new MarkerClusterer(Demo.map, markersArray, { styles: styles[0], gridSize: 56, maxZoom: 15 } );
			Demo.map.fitBounds(bounds);
		}

		function onMarkerClick(codigo) {		//Al fer clic en una marca
			return function() {
				showDetail(codigo);
			}
		}


		/* ----------------------------------- */
		/*  localitzem geoposició de l'usuari  */
		/* ----------------------------------- */

		function miUbicacion() {
			if (navigator.geolocation) {
				jQuery("#buscando").html('Buscando'); jQuery("#miubicacion").addClass('myspin'); showMapa();
				navigator.geolocation.getCurrentPosition(function(position) {
					var pos = { lat: position.coords.latitude, lng: position.coords.longitude };
					Demo.fromInput.value = position.coords.latitude+','+position.coords.longitude;			//actualitzem coordenades d'on som
					document.forms['miformComoLlegar'].location_a.value = 'Ubicación actual';

					var iconimage = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(56, 56) };
					if (markerYouarehere != null) { markerYouarehere.setMap(null); }
					markerYouarehere = new google.maps.Marker({ position: pos, map: Demo.map, icon: iconimage, zIndex: 99 });

					Demo.map.setCenter(pos);
					Demo.map.setZoom(12);
					jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');
				}, function() {
					//if (toTravelMode=='') {
					//	alert('El servicio de localización de tu ubicación ha fallado');
					//} else {
						alert('El servicio de localización de tu ubicación está bloqueado y no podemos calcular la ruta.');
					//}
					//handleLocationError(true, infoWindow, Demo.map.getCenter());
					jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');
				});
			} else {
				alert('Tu navegador no soporta la localización de tu ubicación.');
				//handleLocationError(false, infoWindow, Demo.map.getCenter());
			}
		}

		function handleLocationError(browserHasGeolocation, infoWindow, pos) {
		  //infoWindow.setPosition(pos);
		  //infoWindow.setContent(browserHasGeolocation ?
		  //						'Error: The Geolocation service failed.' :
		  //						'Error: Your browser doesn\'t support geolocation.');
		}




		/* ****************************************************************************** */
		/*                                                                                */
		/*                               MAPA "COMO LLEGAR"                               */
		/*                                                                                */
		/* ****************************************************************************** */

		var Demo2 = {
			// HTML Nodes
			mapContainer: document.getElementById('map-container'),
			dirContainer: document.getElementById('dir-container'),
			travelModeInput: document.getElementById('travelmodeinput'),
			locationInput_a: document.getElementById('location_a'),
			// API Objects
			dirService: new google.maps.DirectionsService(),
			dirRenderer: new google.maps.DirectionsRenderer({draggable:true,suppressMarkers:true,suppressInfoWindows:false}),
			map: null,
			showDirections: function(dirResult, dirStatus) {
				if (dirStatus != google.maps.DirectionsStatus.OK) {
					alert('No existen rutas entre ambos puntos.');
					//alert('Directions failed: ' + dirStatus);
					Demo2.dirRenderer.setMap(null);
					return;
				}

				jQuery('#map-container').show();
				google.maps.event.trigger(Demo2.map, "resize");

				// Show directions
				Demo2.dirRenderer.setMap(Demo2.map);
				Demo2.dirRenderer.setPanel(Demo2.dirContainer);
				Demo2.dirRenderer.setDirections(dirResult);


				if (marker_start != null) { marker_start.setMap(null); }
				if (marker_end != null) { marker_end.setMap(null); }
				var iconimage_start = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(56, 56) };
				var iconimage_end = { url: ruta+'icono_mapa.png', size: new google.maps.Size(56, 56) };
				var leg = dirResult.routes[ 0 ].legs[ 0 ];
				marker_start = new google.maps.Marker({ position: leg.start_location, map: Demo2.map, icon: iconimage_start });
				marker_end = new google.maps.Marker({ position: leg.end_location, map: Demo2.map, icon: iconimage_end });

			},
			getSelectedTravelMode: function() {
				var value = Demo2.travelModeInput.value;
				if (value == 'driving') {
					value = google.maps.TravelMode.DRIVING;
				} else if (value == 'bicycling') {
					value = google.maps.TravelMode.BICYCLING;
				} else if (value == 'walking') {
					value = google.maps.TravelMode.WALKING;
				} else if (value == 'transit') {
					value = google.maps.TravelMode.TRANSIT;
				} else {
					alert('Unsupported travel mode.');
				}
				return value;
			},
			init: function() {
				Demo2.map = new google.maps.Map(Demo2.mapContainer, {
					zoom: 5,
					center: new google.maps.LatLng(41.4785455, 1.8056939000000511),
					mapTypeControl: false,
					mapTypeControlOptions: {
						mapTypeIds: [MY_MAPTYPE_ID] //, google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID ],
						//position: google.maps.ControlPosition.RIGHT_BOTTOM
					},
					mapTypeId: MY_MAPTYPE_ID,
					scaleControl: false,
					panControl: false,
					streetViewControl: false,
					zoomControl: false,
					//zoomControlOptions: {
					//	style: google.maps.ZoomControlStyle.SMALL,
					//	position: google.maps.ControlPosition.TOP_RIGHT
					//}
				});

				//--- Style
				var styledMapOptions = { name: 'Default' };
				var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
				Demo2.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);

				//--- Autocomplete
				var options = { componentRestrictions: {country: 'es'}, types: ['geocode'] };
				var autocomplete = new google.maps.places.Autocomplete(Demo2.locationInput_a, options);
				autocomplete.bindTo('bounds', Demo2.map);
				autocomplete.addListener('place_changed', function() {
					geocode2();
				});

				//--- Per localitzar l'adreça que escriu l'usuari
				geocoder = new google.maps.Geocoder();

			},
			/*
			resize: function() {									//Cuando se hace resize del mapa
				if (Demo2.fromInput.value!='') {
					Demo2.map.setCenter(markerYouarehere.getPosition());
				}
			}
			*/
		};


		/* ----------------------------------- */
		/*  localitzem geoposició de l'usuari  */
		/* ----------------------------------- */

		function miUbicacion2(toTravelMode) {

			if (navigator.geolocation) {

				jQuery("#miubicacion2").addClass('myspin');
				navigator.geolocation.getCurrentPosition(function(position) {

					var pos = { lat: position.coords.latitude, lng: position.coords.longitude };
					Demo2.map.setCenter(pos);

					//var iconimage = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(52, 68) };
					//if (markerYouarehere != null) { markerYouarehere.setMap(null); }
					//markerYouarehere = new google.maps.Marker({ position: pos, map: Demo2.map, icon: iconimage, zIndex: 99 });

					Demo2.map.setCenter(pos);
					document.forms['miform'].frominput.value = position.coords.latitude+','+position.coords.longitude;
					document.forms['miformComoLlegar'].location_a.value = 'Ubicación actual';

					if (toTravelMode!='') {
						var dirRequest = {
							origin: document.forms['miform'].frominput.value,
							destination: toDestination,
							travelMode: toTravelMode,
							unitSystem: google.maps.DirectionsUnitSystem.METRIC,
							provideRouteAlternatives: true,
							durationInTraffic: true,
							optimizeWaypoints: true,
						};
						Demo2.dirService.route(dirRequest, Demo2.showDirections);
					} else {
						Demo2.map.setZoom(12);
					}
					jQuery("#miubicacion2").removeClass('myspin');

				}, function() {
					//if (toTravelMode=='') {
						//alert('El servicio de localización de tu ubicación ha fallado');
					//} else {
						alert('El servicio de localización de tu ubicación está bloqueado y no podemos calcular la ruta.');
					//}
					//handleLocationError(true, infoWindow, Demo.map.getCenter());
					jQuery("#miubicacion2").removeClass('myspin');
				});
			} else {
				alert('Tu navegador no soporta la localización de tu ubicación.');
				//handleLocationError(false, infoWindow, Demo.map.getCenter());
			}
		}

		function handleLocationError(browserHasGeolocation, infoWindow, pos) {
		  //infoWindow.setPosition(pos);
		  //infoWindow.setContent(browserHasGeolocation ?
		  //						'Error: The Geolocation service failed.' :
		  //						'Error: Your browser doesn\'t support geolocation.');
		}

		function getIndicaciones(toTravelMode) {
			Demo2.travelModeInput.value = toTravelMode;
			jQuery('.travelmode a').removeClass('selected'); jQuery('#'+toTravelMode).addClass('selected');
			toTravelMode = Demo2.getSelectedTravelMode();
			if (document.forms['miform'].frominput.value=='') {					//Si no tenemos ubicación > la pedimos, añadimos marca y dibujamos la ruta
				miUbicacion2(toTravelMode);
			} else {															//Si ya la tenemos > dibujamos ruta
				var dirRequest = {
					origin: document.forms['miform'].frominput.value,
					destination: toDestination,
					travelMode: toTravelMode,
					unitSystem: google.maps.DirectionsUnitSystem.METRIC,
					provideRouteAlternatives: true,
					durationInTraffic: true,
					optimizeWaypoints: true,
				};
				Demo2.dirService.route(dirRequest, Demo2.showDirections);
			}
		}

		function focusLocation() {
			if (document.forms['miformComoLlegar'].location_a.value=='Ubicación actual') { document.forms['miformComoLlegar'].location_a.value=''; }
		}




		/* ****************************************************************************** */
		/*                                                                                */
		/*                                  FUNCIONES                                     */
		/*                                                                                */
		/* ****************************************************************************** */


		/* --------------------------------- */
		/*  Obtenim informació de la Botiga  */
		/* --------------------------------- */

		function getNameTienda(codigo) {
			dev = '';
			for (var i = 0; i < dataMap.tiendas.length; i++) {
				var dataTiendas = dataMap.tiendas[i];
				if (dataTiendas.codigo==codigo) {
					empresa = dataTiendas.nombre; empresa = empresa.replace("Aldi","");
					dev = empresa;
				}
			}
			return dev;
		}

		function getInfoDetail(codigo) {
			dev = '';
			for (var i = 0; i < dataMap.tiendas.length; i++) {
				var dataTiendas = dataMap.tiendas[i];

				nueva = new Date('1970-01-01');
				if( dataTiendas.nueva != '' ) {
					nueva.setDate(dataTiendas.nueva.substr(6, 2));
					nueva.setMonth(dataTiendas.nueva.substr(4, 2));
					nueva.setYear(dataTiendas.nueva.substr(0,4));
					nueva.setHours(0);
					nueva.setMinutes(0);
					nueva.setSeconds(0);
				}

				var date = new Date();
				nue = Math.floor(date.getTime());
				nue = nue+(10*24*60*60*1000);
				nuevaplus10 = new Date(nue);

				// Sólo las tiendas para las que queda menos de 10 días
				if( nueva < nuevaplus10 ) {
					if (dataTiendas.codigo==codigo) {

						toDestination = dataTiendas.latitude+','+dataTiendas.longitude;				//Nos guardamos la posición de la tienda para poder calcular el "Como llegar".
						document.forms['miformComoLlegar'].location_b.value = dataTiendas.direccion+', '+dataTiendas.codpostal+', '+dataTiendas.localidad+', '+dataTiendas.provincia;
						jQuery('#map-container').hide();

						empresa = dataTiendas.nombre; empresa = empresa.replace("Aldi","");
						direccion1 = dataTiendas.direccion;
						direccion2 = dataTiendas.codpostal+' '+dataTiendas.localidad+', '+dataTiendas.provincia;
						telefono = dataTiendas.telefono;
						link = dataTiendas.link;

						if (dataTiendas.nueva=='') {
							nueva = '';
						} else {
							nueva = new Date();	nueva.setDate(dataTiendas.nueva.substr(6,2)); nueva.setMonth(dataTiendas.nueva.substr(4,2)); nueva.setYear(dataTiendas.nueva.substr(0,4)); nueva.setHours(0); nueva.setMinutes(0); nueva.setSeconds(0);
						}

						//Horario especial:
						//12/10:09:00:21:30,25/12,31/12
						afestivosstart = []; afestivosend = []; afestivosestado = []; k = 0; festivos_tmp = '';
						if (dataTiendas.festivos!='') {
							festivos_li = '';
							festivos =  dataTiendas.festivos.split(",");
							for	(j = 0; j < festivos.length; j++) {
								dia = festivos[j].substr(0, 5);
								start = new Date();	start.setDate(dia.substr(0,2)); start.setMonth(dia.substr(3,2)-1); start.setHours(0); start.setMinutes(0); start.setSeconds(0);
								end = new Date(); end.setDate(dia.substr(0,2)); end.setMonth(dia.substr(3,2)-1); end.setYear((hoy.getYear()+1900)); end.setHours(23); end.setMinutes(0); end.setSeconds(0);

								var nMesesHorizonte = 2; // Ver fechas de los proximos n meses
								var fechaHorizonte = new Date(hoy); // Fechas visibles hasta la fechaHorizonte
								fechaHorizonte.setMonth(hoy.getMonth()+nMesesHorizonte); fechaHorizonte.setHours(23); fechaHorizonte.setMinutes(59); fechaHorizonte.setSeconds(59);

								// Si es un día pasado no lo mostramos. Como no se han incluido año en las fechas, se muestran únicamente aquellas que van a ocurrir en los nMesesHorizonte próximos meses
								if (end >= hoy && start <= fechaHorizonte) {
									if (festivos[j].substr(5,1)!='') {
										start.setHours(festivos[j].substr(6,2)); start.setMinutes(festivos[j].substr(9,2));
										end.setHours(festivos[j].substr(12,2)); end.setMinutes(festivos[j].substr(15,2));
										festivos_li += '<li>'+dia+' abierto de '+festivos[j].substr(6,5)+' - '+festivos[j].substr(12,5)+'</li>'; afestivosestado[k] = 'abierto';
									} else {
										if ( hoy.getMonth() == start.getMonth() && hoy.getDate() == start.getDate() ) { 	//Si estamos en el mismo dia
											festivos_li += '<li><strong>'+dia+' cerrado</strong></li>'; afestivosestado[k] = 'cerrado';
										} else {
											festivos_li += '<li>'+dia+' cerrado</li>'; afestivosestado[k] = 'cerrado';
										}
									}
									afestivosstart[k] = start; afestivosend[k] = end; k++;
								}
							}
							if (festivos_li!='') {
								festivos_tmp = '<p><strong>Horario especial</strong></p><ul class="horario">'+festivos_li+'</ul>';
							}
						}

						//Horario habitual:
						//1:10:00:15:00,2:09:00:22:00,3:09:00:22:00,4:09:00:22:00,5:09:00:22:00,6:09:00:22:00,7:09:00:22:00
						ndies = [2,3,4,5,6,7,1]; dies = ['L','M','M','J','V','S','D']; apertura = ['','','','','','','']; cierre = ['','','','','','',''];
						horario = dataTiendas.horario.split(",");
						for	(j = 0; j < horario.length; j++) {
							a = horario[j].substr(0, 1);
							key = 0;
							for	(k = 0; k < ndies.length; k++) { if (ndies[k]==a) {key = k; break; } }
							apertura[key] = horario[j].substr(2, 5);
							cierre[key] = horario[j].substr(8, 5);
						}
						horario_li = ''; estado = 'cerrada';
						for	(j = 0; j < dies.length; j++) {
							if (apertura[j]!='') {
								if (j==diasemana) {
									horario_li += '<li><strong><label>'+dies[j]+'</label>'+apertura[j]+' - '+cierre[j]+'</strong></li>';
									start = new Date();	start.setHours(apertura[j].substr(0,2)); start.setMinutes(apertura[j].substr(3,2));
									end = new Date(); end.setHours(cierre[j].substr(0,2)); end.setMinutes(cierre[j].substr(3,2));
									if (start <= hoy && hoy < end) {
										estado = 'abierta';
										//Comprobamos si se trata de un dia festivo:
										for	(k = 0; k < afestivosstart.length; k++) {
											if ( hoy.getMonth() == afestivosstart[k].getMonth() && hoy.getDate() == afestivosstart[k].getDate() ) { 	//Si estamos en el mismo dia
												estado = 'cerrada';
												if (afestivosestado[k] == 'abierto') {
													if (afestivosstart[k] <= hoy && hoy < afestivosend[k]) {
														estado = 'abierta';
													}
												}
											}
										}
									}
								} else{
									horario_li += '<li><label>'+dies[j]+'</label>'+apertura[j]+' - '+cierre[j]+'</li>';
								}
							}
						}

						estado_tmp = '';

						if (codigo.substr(0,1)!='+') {
							if (nueva!='' && hoy<nueva) {
								estado_tmp = '<h4 class="nuevaapertura sep">NUEVA APERTURA<br><em>EL '+nueva.getDate()+' DE '+meses[nueva.getMonth()]+'</em></h4>';
							} else {
								estado_tmp = '<div class="estado">'+estado+' AHORA</div>';
							}
						} else {
							dev = dev + '<h4 class="atencion">¡ATENCIÓN!</h4>';
							dev = dev + '<p class="sep">En esta ublicación no hay tienda sino nuestras oficinas.</p>';
							dev = dev + '<h4 class="sep central">'+empresa+'</h4>';
						}
						dev = dev + estado_tmp + '<h4>DIRECCIÓN</h4><p class="sep">'+direccion1+'<br>'+direccion2+'<br>Teléfono contigo Aldi: <a href="tel:'+telefono+'">'+telefono+' gratuito</a></p>';

						if (codigo.substr(0,1)!='+') {
							dev = dev + '<ul class="available">';
							//dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(\'Parking\',this)" class="ava-parking"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Pan fresco en horario de tienda\',this)" class="ava-bread"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Fruta fresca\',this)" class="ava-fruit"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Verdura fresca\',this)" class="ava-vegetable"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Carne fresca\',this)" class="ava-steak"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Pescado fresco\',this)" class="ava-fish"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(1,\'Productos ecológicos\',this)" class="ava-eco"><span></span></a></li>';
							dev = dev + '</ul>';
							dev = dev + '<p class="available_txt available_txt_1 sep"><span>...</span></p>';
							dev = dev + '<h4>HORARIO HABITUAL</h4><ul class="horario sep">'+horario_li+'</ul>';
							dev = dev + festivos_tmp;
							/*dev = dev + '<h4>SERVICIOS</h4>';
							dev = dev + '<ul class="available">';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(2,\'Parking\',this)" class="ava-parking"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(2,\'Parking adaptado\',this)" class="ava-parking-adaptado"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(2,\'Punto de recarga eléctrica\',this)" class="ava-parking-electrico"><span></span></a></li>';
							dev = dev + '<li><a href="javascript:void(0)" onclick="showAvailable(2,\'Parking para bicicletas\',this)" class="ava-parking-bici"><span></span></a></li>';
							dev = dev + '</ul>';
							dev = dev + '<p class="available_txt available_txt_2 sep"><span>...</span></p>';*/
						}

						//dev = dev + '<p class="sep">No corras, tienes 60 minutos para comprar sin pagar el parking. Si eres de los que necesitan más tiempo, estas son las tarifas:<br><br><strong>60 - 120 min.: 0,083€/min.<br>120 – 180 min.: 0,042 €/min.<br>180 min. - en adelante: 0,021 €/ min.</strong><br><br>Este parking es solo para clientes de ALDI.</sep>';
						//dev = dev + '<p class="sep">Texto 2. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</sep>';
						//dev = dev + '<p class="sep">Texto 3. Voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore.</sep>';


					}

				}
			}
			return dev;
		}


		/* -------------------------------------------------- */
		/*  Obtenim llista de botigues a partir del viewport  */
		/* -------------------------------------------------- */

		function getListTiendas(latsw,lngsw,latne,lngne) {
			dev = '';
			for (var i = 0; i < dataMap.tiendas.length; i++) {

				var dataTiendas = dataMap.tiendas[i];

				nueva = new Date();
				nueva.setDate(dataTiendas.nueva.substr(6, 2));
				nueva.setMonth(dataTiendas.nueva.substr(4, 2) - 1);
				nueva.setHours(0);
				nueva.setMinutes(0);
				nueva.setSeconds(0);

				var date = new Date();
				nue = Math.floor(date.getTime());
				nue = nue+(10*24*60*60*1000);
				nuevaplus10 = new Date(nue);

				// Sólo las tiendas para las que queda menos de 10 días
				if( nueva < nuevaplus10 ) {

					lat = dataTiendas.latitude;
					lng = dataTiendas.longitude;
					if (lat >= latsw && lat <= latne && lng >= lngsw && lng <= lngne) {

						codigo = dataTiendas.codigo;
						empresa = dataTiendas.nombre; empresa = empresa.replace("Aldi","");
						direccion1 = dataTiendas.direccion;
						direccion2 = dataTiendas.codpostal+' '+dataTiendas.localidad;

						dev = dev + '<li>';
						dev = dev + '<a href="javascript:void(0)" onclick="showDetail(\''+codigo+'\')" class="list-box faa-parent animated-hover">';
						//dev = dev + '<h2><span class="hidden">ALDI</span></h2>';
						dev = dev + '<h3>'+empresa+'</h3>';
						dev = dev + '<p>'+direccion1+'<br>'+direccion2+'</p>';
						dev = dev + '<i class="fa fa-2x fa-angle-right faa-horizontal"></i>';
						dev = dev + '</a>';
						dev = dev + '</li>';

					}
				}
			}
			//if (dev != '') { dev = '<ul>'+dev+'</ul>'; }
			return dev;
		}


		/* -------------------- */
		/*  Al fer una recerca  */
		/* -------------------- */

		function doSearch(e) {
			var code = (e.keyCode ? e.keyCode : e.which);
			if (code == 13) {
				geocode();
			}
			return true;
		}

		function geocode() {								//https://developers.google.com/maps/documentation/geocoding/ - LIMIT: 2,500 requests per day.
			geocoder.geocode({
				'address': document.getElementById('location').value,
				'region': 'ES'}, geocodeResult);			//https://developers.google.com/maps/documentation/javascript/geocoding
		}

		function geocodeResult(results, status) {
			if (status == 'OK' && results.length > 0) {

				showMapa();

				//-- Resultat de la recerca
				var bounds = new google.maps.LatLngBounds();
				bounds = results[0].geometry.viewport;					//Bounds del resultat de la recerca
				//Demo.map.fitBounds(bounds);
				//Demo.map.setZoom(11);

				pointsearch = new google.maps.LatLng(results[0].geometry.location.lat(), results[0].geometry.location.lng());	//Punt resultat de la recerca
				pointclosest = findClosestN(pointsearch, 1);																	//Marca (super) més propera
				bounds.extend( pointclosest );
				Demo.map.fitBounds(bounds);

				/*
				//--- Coloquem Marca
				var latLng = new google.maps.LatLng(results[0].geometry.location.lat(), results[0].geometry.location.lng());
				var iconimage = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(56, 56) };
				if (markerYouarehere != null) {
					markerYouarehere.setMap(null);
				}
				markerYouarehere = new google.maps.Marker({ position: latLng, map: Demo.map, icon: iconimage, zIndex: 99 });

				//--- Guardem ubicació
				Demo.fromInput.value = results[0].geometry.location.lat()+','+results[0].geometry.location.lng();
				Demo.locationInput_a.value = 'Salida: Ubicación actual';
				*/


				//-- Carreguem el llistat de les botigues que estem visualitzant al mapa
				chargeListado('sivisualitzem');

			} else {
				alert("Geocode was not successful for the following reason: " + status);
				//alert("Localización no encontrada.");
			}
		}

		function findClosestN(pt, numberOfResults) {		//Recorrem totes les marques per veure quina es la més propera la punt que estem (http://stackoverflow.com/questions/4057665/google-maps-api-v3-find-nearest-markers)
			distance_ant = 0;
			var marker_closest = null;
			for (var i = 0; i < markersArray.length; i++) {
				distance = google.maps.geometry.spherical.computeDistanceBetween(pt, markersArray[i].getPosition());
				if (distance_ant == 0) { distance_ant = distance; }
				if (distance <= distance_ant) { distance_ant = distance; marker_closest = markersArray[i].getPosition(); }
			}
			return marker_closest;
		}

		function doSearch2(e) {
			var code = (e.keyCode ? e.keyCode : e.which);
			if (code == 13) {
				geocode2();
			}
			return true;
		}

		function geocode2() {								//https://developers.google.com/maps/documentation/geocoding/ - LIMIT: 2,500 requests per day.
			geocoder.geocode({
				'address': document.getElementById('location_a').value,
				'region': 'ES'}, geocodeResult2);			//https://developers.google.com/maps/documentation/javascript/geocoding
		}

		function geocodeResult2(results, status) {
			if (status == 'OK' && results.length > 0) {

				//-- Resultat de la recerca
				/*
				var bounds = new google.maps.LatLngBounds();
				bounds = results[0].geometry.viewport;					//Bounds del resultat de la recerca
				Demo.map.fitBounds(bounds);
				*/

				//--- Coloquem Marca
				//var latLng = new google.maps.LatLng(results[0].geometry.location.lat(), results[0].geometry.location.lng());
				//var iconimage = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(52, 68) };
				//if (markerYouarehere != null) {
				//	markerYouarehere.setMap(null);
				//}
				//markerYouarehere = new google.maps.Marker({ position: latLng, map: Demo2.map, icon: iconimage, zIndex: 99 });

				//--- Guardem ubicació
				Demo.fromInput.value = results[0].geometry.location.lat()+','+results[0].geometry.location.lng();
				//Demo2.locationInput_a.value = 'Ubicación actual';

			} else {
				alert("Geocode was not successful for the following reason: " + status);
			}
		}

		function chargeListado(visualitzem) {

			//jQuery('#list').html('<li><i class="fa fa-refresh fa-spin"></i></li>');

			//google.maps.event.trigger(Demo.map, "resize");

			bounds = Demo.map.getBounds();						//Viewport que estem visualitzant al mapa
			latsw = bounds.getSouthWest().lat();
			lngsw = bounds.getSouthWest().lng();
			latne = bounds.getNorthEast().lat();
			lngne = bounds.getNorthEast().lng();

			//jQuery('#buscando').html(latsw+'*'+lngsw+'*'+latne+'*'+lngne);



			html = getListTiendas(latsw,lngsw,latne,lngne);		//Mostrem la llista de botigues obtingudes segons les coordenades
			//if (html == '') {
				//alert('No trobat res de res!');
				//Demo.map.setZoom(9);
			//}
			jQuery('#list').html(html);

			if (visualitzem=='sivisualitzem') {
				w = jQuery( window ).width();							//Per versió Desktop mostrem la llista i el mapa a la vegada
				if (w>=768) { jQuery('#info').hide(); jQuery('#list').fadeIn(300); }
			}

		}




	/* ==========================================================================

	   ========================================================================== */

		function showMapa() {
			jQuery('#info').hide(); jQuery('#list').hide(); jQuery('#mapa').show(); if (w<768) { jQuery('#modo').show(); }
			jQuery('#modo-mapa a').removeClass('noselected selected'); jQuery('#modo-mapa a').addClass('selected'); 								//Opción "MAPA" es ahora la opción seleccionada
			jQuery('#modo-listado a').removeClass('selected noselected'); jQuery('#modo-listado a').addClass('noselected');
			google.maps.event.trigger(Demo.map, "resize");

		}

		function showListado() {
			jQuery('#mapa').hide(); jQuery('#info').hide(); jQuery('#list').show();
			jQuery('#modo-mapa a').removeClass('selected noselected'); jQuery('#modo-mapa a').addClass('noselected'); 							//Opción "LISTADO" es ahora la opción seleccionada
			jQuery('#modo-listado a').removeClass('noselected selected'); jQuery('#modo-listado a').addClass('selected');
		}

		//--- Mostrar / Ocultar detalle de la tienda

		function showDetail(codigo) {
			info1 = getInfoDetail(codigo);
			showMarkerSelected(codigo);
			if (codigo.substr(0,1)=='+') {
				infocab = 'OFICINA CENTRAL';
			} else {
				infocab = getNameTienda(codigo);
			}
			jQuery('.info-cap h3').html(infocab);
			jQuery('#info-1').html(info1); jQuery('#dir-container').html(''); showInfo(1);
			w = jQuery( window ).width();							//(per versió mobile) amaguem el mapa
			if (w<768) { jQuery('#mapa').hide(); }
			jQuery('#list').hide();									//Amaguem Listado
			jQuery('#info').show();									//Mostrem info
			jQuery('#modo').hide();									//Amaguem la selecció del modo: mapa/listado
			jQuery('html,body').animate({
			scrollTop: jQuery("#go-top").offset().top},
			'slow');
		}

		function showMarkerSelected(codigo) {
			//alert(codigo);
			mk = getMarker(codigo);
			if (codigo.substr(0,1)=='+') {
				mk.setOptions({icon:{url:ruta+'icono_central_selected.png'}});
			} else {
				mk.setOptions({icon:{url:ruta+'icono_mapa_selected.png'}});
			}
			//mk.setAnimation(google.maps.Animation.BOUNCE);
			//mk.setAnimation(google.maps.Animation.DROP);
			//setTimeout(function() {
			//	mk.setAnimation(null)
			//}, 4000);
		}

		function getMarker(codigo) {
			if (marker_selected!=undefined) {
				if (codigo_selected.substr(0,1)=='+') {
					marker_selected.setOptions({icon:{url:ruta+'icono_central.png'}});
				} else {
					marker_selected.setOptions({icon:{url:ruta+'icono_mapa.png'}});
				}
			}
			for (var m = 0; m < markersCodigos.length; m++) {
				if (markersCodigos[m]==codigo) {
					marker_selected = markersArray[m];
					codigo_selected = codigo;
				}
			}
			return marker_selected;
		}

		function hideDetail() {
			w = jQuery( window ).width();
			jQuery('#info').hide();
			if (jQuery('#modo-mapa a').hasClass('selected')) { jQuery('#mapa').show(); }
			if (jQuery('#modo-listado a').hasClass('selected') || w>=768) { jQuery('#list').show(); }
			if (w<768) { jQuery('#modo').show(); }
		}

		//--- Información / Como Llegar

		function showInfo(info) {
			if (info == 1) {
				jQuery('#info-2').hide(); jQuery('#info-1').fadeIn(300);
				jQuery('#modo-info-2 a').removeClass('selected'); jQuery('#modo-info-1 a').addClass('selected');
			} else {
				jQuery('#info-1').hide(); jQuery('#info-2').fadeIn(300);
				jQuery('#modo-info-1 a').removeClass('selected'); jQuery('#modo-info-2 a').addClass('selected');
			}
		}

		function showAvailable(pos,txt,ele) {
			jQuery('.available a').removeClass('selected'); jQuery(ele).addClass('selected');
			jQuery('.available_txt span').html(''); jQuery('.available_txt_'+pos+' span').html( txt ); jQuery('.available_txt_'+pos+' span').fadeIn(300);
		}



	/* ==========================================================================

	   ========================================================================== */



		/*
		jQuery( window ).resize(function() {
			w = jQuery( window ).width();
			jQuery('#info').hide();																											//Amaguem info
			if (w<768) {																												//Si es -Mobile-
				jQuery('#modo').show();																										// - Mostrem "Modo"
				jQuery('#list').hide(); jQuery('#mapa').show();																					// - Amaguem "Llistat" i mostrem "Mapa"
				if (jQuery('#modo-listado a').hasClass('selected')) { 																		// - Si estava seleccionat el llistat ..
					jQuery('#modo-mapa a').toggleClass('noselected selected'); jQuery('#modo-listado a').toggleClass('selected noselected'); 		//		.. activem llistat
				}
			} else {																													//Si es Desktop
				jQuery('#modo').hide(); jQuery('#list').show(); jQuery('#mapa').show(); 																//	- Amaguem "Modo" i mostrem "Llistat" i "Mapa"
			}
		});
		*/


	/* ==========================================================================

	   ========================================================================== */

		//google.maps.event.addDomListener(window, 'resize', Demo.resize);
		google.maps.event.addDomListener(window, 'load', Demo.init);
		google.maps.event.addDomListener(window, 'load', Demo2.init);

		jQuery(document).ready(function(jQuery) {

			var windowWidth = jQuery(window).width();
			jQuery( window ).resize(function() {

				if (jQuery(window).width() != windowWidth) {

					windowWidth = jQuery(window).width();

					w = jQuery( window ).width();
					jQuery('#info').hide();																											//Amaguem info
					if (w<768) {																												//Si es -Mobile-
						jQuery('#modo').show();																										// - Mostrem "Modo"
						jQuery('#list').hide(); jQuery('#mapa').show();																					// - Amaguem "Llistat" i mostrem "Mapa"
						if (jQuery('#modo-listado a').hasClass('selected')) { 																		// - Si estava seleccionat el llistat ..
							jQuery('#modo-mapa a').toggleClass('noselected selected'); jQuery('#modo-listado a').toggleClass('selected noselected'); 		//		.. activem llistat
						}
					} else {																													//Si es Desktop
						jQuery('#modo').hide(); jQuery('#list').show(); jQuery('#mapa').show(); 																//	- Amaguem "Modo" i mostrem "Llistat" i "Mapa"
					}

				}

			});

		});
