'use strict';

var gulp = require('gulp');

// SASS

var gulp = require('gulp');
var sass = require('gulp-sass');
var sassGlob = require('gulp-sass-glob');
var sourcemaps = require('gulp-sourcemaps');
var autoprefixer = require('gulp-autoprefixer');

// CSS

var minify = require('gulp-minify-css');
var concat = require('gulp-concat');


// Compile final app.css

gulp.task('css', function () {

    gulp.src('./css/*.scss')
        .pipe(sourcemaps.init())
        .pipe(sassGlob())
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(minify())
        .pipe(sourcemaps.write('.'))
        .pipe(gulp.dest('./css'))
    ;
});

gulp.task('css:watch', ['css'], function () {
    return gulp.watch(['./css/*.scss'], ['css'])
});

gulp.task('build', ['css']);

gulp.task('watch', ['css:watch']);