jQuery(document).ready(function($) {

  $('#especial-festivo,#especial-provincia').on('change',function() {

    var festivo = $('#especial-festivo').val();
    var provincia = $('#especial-provincia').val();

    var data = {
      action: 'resultSpecial',
      security : H_Especiales.security,
      festivo: festivo,
      provincia: provincia
    };

    jQuery.ajax({
        type: "POST",
        url: H_Especiales.ajaxurl,
        dataType: "html",
        data: data,
        success: function(msg) {
          $('.special-results').fadeOut("slow",function() {
            $(this).empty();
            $(this).append(msg);
            $(this).fadeIn();
          });
        },
        error: function(msg) {
          $('.special-results').fadeOut("slow",function() {
            $(this).empty();
            $(this).append("Ha habido un error con la consulta, por favor inténtalo de nuevo más tarde o ponte en contacto con nosotros en <a href='mailto:contigo@aldi.es'>contigo@aldi.es</a>.</div>");
            $(this).fadeIn();
          });
        }
    });

  });

});
